Subject: Re: <draft-ietf-disman-event-mib-09.txt>

From: Alan Luchuk <[email-masked]>
Date: Thu, 6 Jan 2000 10:04:36 -0500 (EST)

Juergen>Its possible to address this "limitation" for all these MIBs by
Juergen>defining something like a DISMAN-SET-MIB. I would rather go this
Juergen>direction instead of adding a facility for setting arbitrary MIB
Juergen>objects to the DISMAN-SCHEDULE-MIB or the DISMAN-EVENT-MIB or both.

Works for me.  Seems like a good idea.  Perhaps setting an integer 
value in a table in the DISMAN-SET-MIB would kick off the SNMP sets
of the list of arbitrary objects.  Then the existing DISMAN-SCHEDULE-MIB 
and DISMAN-EVENT-MIB could use this without changes.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------

   Please note that our telephone area code recently changed from 423 to 865. 
   Area 423 should countinue to work until it is phased out in April, 2000.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 6 Jan 2000 16:12:37 +0100

>>>>> Alan Luchuk writes:

Juergen> Its possible to address this "limitation" for all these MIBs
Juergen> by defining something like a DISMAN-SET-MIB. I would rather
Juergen> go this direction instead of adding a facility for setting
Juergen> arbitrary MIB objects to the DISMAN-SCHEDULE-MIB or the
Juergen> DISMAN-EVENT-MIB or both.

Alan> Works for me.  Seems like a good idea.  Perhaps setting an
Alan> integer value in a table in the DISMAN-SET-MIB would kick off
Alan> the SNMP sets of the list of arbitrary objects.  Then the
Alan> existing DISMAN-SCHEDULE-MIB and DISMAN-EVENT-MIB could use this
Alan> without changes.

Exactly.

Formally, we need to do whatever is needed to update the WG charter.
But I think we can also work ahead without a formal approval of this
work item as long as the WG chair feels comfortable with this idea...

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>